<?php   require_once("../config.php");

	//who's logged in
	$guid = "";
	if(isset($_SESSION[APP_LOGGEDIN_COOKIE_NAME])) $guid = fnFormInput($_SESSION[APP_LOGGEDIN_COOKIE_NAME]);
	
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//This is the landing page after a successful login. PHP may or may not make the Session array available
	//after the login redirect (it depends on the server setup). In this case, $guid will still be empty after
	//inspecting the Session var above. For this reason we include an md5 hash in the URL when we do the redirect
	//so we can compare it to the users guid in the database. 
	if($guid == ""){
		if(isset($_GET["id"])){
			$tmp = "SELECT guid FROM " . TBL_USERS . " WHERE MD5(guid) = '" . fnFormInput($_GET["id"]) . "' AND isLoggedIn = '1'";
			$guid = fnGetOneValue($tmp, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
			$_SESSION[APP_LOGGEDIN_COOKIE_NAME] = $guid;
		}
	} 
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	//user Object
	$thisUser = new User($guid);
	$thisUser -> fnLoggedInReq($guid);
	$thisUser -> fnUpdateLastRequest($guid);
	$userName = fnFormOutput($thisUser->infoArray["firstName"] . " " . $thisUser->infoArray["lastName"]);

	//init page object
	$thisPage = new Page();
	$thisPage->pageTitle = "Account Control Panel | Home";


	//print html...
	echo $thisPage->fnGetPageHeaders();
	
?>

<div class='content'>
    <fieldset class='colorLightBg'>
        <!-- right side--> 
        <center>
        	<div class='contentBox colorLightBg minHeight'>
            These are the files we just moved for you!
                <div style='padding:10px;'>
                    <?php
						function myfilesize($myfile){
							$mysize = filesize($myfile);
							return $mysize;
						}
						function getUTC(){
							$utc = gmdate("Y-m-d\TH:i:s\Z");
							return $utc;
						}
						//
						$targetappguid = $_POST['targetappguid'];
						$filetype = $_POST['filetype'];
						switch($filetype){
						case "image":
							$fileurl = "../files/applications/" . $targetappguid . "/images/";
							$filepath = "/images";
					        break;
						case "document":
							$fileurl = "../files/applications/" . $targetappguid . "/documents/";
							$filepath = "/documents";
							break;
						case "video":
							$fileurl = "../files/applications/" . $targetappguid . "/videos/";
					        $filepath = "/video";
							break;
						case "audio":
							$fileurl = "../files/applications/" . $targetappguid . "/audio/";
							$filepath = "/audio";
							break;
						case "php":
							$fileurl = "../files/applications/" . $targetappguid . "/phpscripts/";
					   		$filepath = "/phpscripts";
							break;
						}
		
						echo "        <table border=\"0\">\n"; 
						echo "        	<table border=\"1\">\n"; 
						echo "        		<tr>\n"; 
						echo "        			<td colspan=\"7\" align=\"center\"> Uploaded Files </td>\n"; 
						echo "        		</tr>\n"; 
						echo "        		<tr>\n"; 
						echo "        			<td align=\"center\">index</td>\n"; 
						echo "        			<td align=\"center\">filename</td>\n"; 
						echo "        			<td align=\"center\">size</td>\n"; 
						echo "        			<td align=\"center\">type</td>\n"; 
						echo "        			<td align=\"center\">path</td>\n"; 
						echo "        			<td align=\"center\">H</td>\n"; 
						echo "        			<td align=\"center\">W</td>\n"; 
						echo "        		</tr>\n"; 
						echo "\n";
						if(isset($_FILES['files'])){
						    $errors= array();
							foreach($_FILES['files']['tmp_name'] as $key => $tmp_name ){
								$item_index = $key;
								$file_name = $_FILES['files']['name'][$key];
								$file_size = $_FILES['files']['size'][$key];
								$file_tmp = $_FILES['files']['tmp_name'][$key];
								$file_type = $_FILES['files']['type'][$key];	
						        if($file_size > 2097152){
									$errors[]='File size must be less than 2 MB';
						        }
						        if ($filepath == "/images"){
									list($width, $height) = getimagesize($file_tmp);
								} else {
									$width = null;
									$height = null;
								}
								echo "        		<tr>\n"; 
								echo "        			<td>";
								echo $item_index;
								echo "					</td>\n"; 
								echo "        			<td>";
								echo $file_name;
								echo "</td>\n"; 
								echo "        			<td>";
								echo $file_size;
								echo "</td>\n"; 
								echo "        			<td>";
								echo $file_type;
								echo "</td>\n"; 
								echo "        			<td>";
								echo $filepath;
								echo "</td>\n"; 
								echo "        			<td>";
								echo $width;
								echo "</td>\n"; 
								echo "        			<td>";
								echo $height;
								echo "</td>\n"; 
								echo "        		</tr>\n"; 
								$id = null;
								$guid =  uniqid('', true);
								$appid = $targetappguid;
								$filewidth = $width;
								$fileheight = $height;
								$status = "active";
								$dateStampUTC = getUTC();
								$modifiedUTC = getUTC();
						        $query="INSERT INTO " . TBL_BT_FILES . " (id,guid,appGuid,fileName,filePath,fileType,fileSize,fileWidth,fileHeight,status,dateStampUTC,modifiedUTC) VALUES ('$id','$guid','$appid','$file_name','$filepath','$file_type','$file_size','$filewidth','$fileheight','$status','$dateStampUTC','$modifiedUTC');";
						        if(empty($errors)==true){
						            if(is_dir("$fileurl/".$file_name)==false){
						                move_uploaded_file($file_tmp,$fileurl.$file_name);
						            	$result = mysql_query($query) or die(mysql_error()); 
										if($result){
									        echo "File named " . $file_name . " copied<br />";
										}else{
											echo "Error entering data for " . $file_name . " in the database. Sorry.";
										}
						            }else{									//rename the file if another one exist
										echo "Duplicate file found. File named " . $file_name . " was not copied. You're welcome.";
						            }
						        }else{
						                print_r($errors);
						        } // end of file loop
						    }
						if(empty($error)){echo "All Files Moved";}
						}
		
						echo "</table>";
						echo "</table>";
						
					?>
					&nbsp;<p />&nbsp;<p />
					<form action="smugup0.php">
						<input type="submit" value="Let's do another!">
					</form>
                </div>
            <!--content box-->
		</div>
		</center>
    </fieldset>
</div>
